Subject: Re: Invoking SQL*Plus from within cygwin
From: "Alec Clews" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 19 Sep 2001 23:05:42 +0930

OK,

Unset all env variables except the path. SQLPLus should pick em up from the
Registry OK. I'm geussing it's because SQLPlus cannot grog the cygwin mount
point in ORACLE_HOME etc.

Alternative is to set ORACLE_HOME etc using NT notation (not sure about
LD_LIBRARY_PATH. Assume you don't need it for SQLPlus

Let me know how you go

---
Alec Clews, <[email-masked]>, Melbourne,  Australia
Home Page  <http://www.geocities.com/alecclews/

> In a message dated Tue, 18 Sep 2001  5:45:48 PM Eastern Daylight Time,
Alec Clews <[email-masked]> writes:
>
> >
> > This works for me (I'm using W2K). Provding Oracle is installed OK it
> > _should_ pick up Oracle_Home from the registry. Just make sure you have
> > the correct path set up (do you have multiple Oracle Homes?).
>
> I have the following environment variables set in bash within my .profile:
>
> ORACLE_HOME=/cygdrive/k/oracle
> ORACLE_SID=fprd
> LD_LIBRARY_PATH=$ORACLE_HOME/lib:$LD_LIBRARY_PATH
> PATH=$ORACLE_HOME/bin:$PATH
>
> I have set $ORACLE_HOME and LD_LIBRARY_PATH up as NT environment variables
using /cygdrvie/k/oracle.
>
> When I look at the registry, though, I see ORACLE_HOME referred to as
K:\ORACLE (no cygdrive/x)
>
> The K: drive is a mapped drive from the server were the database resides.
I do not have Oracle installed on my client per se.
>
> Any ideas?
>
> > Can you run sqlplus from the NT command prompt (cmd.exe)? If the answer
> > is yes then look at any path differences and other environment
differences.
>
> Yes I can run sqlplus from the dos cmd line.
>
> >
> > Do you get any error mesages from sqlplus when you run it?
>
> No messages other than the Dr. Watson box.
>
> >
> > What version of Oracle are you using?
> >
>
> 8.1.7.1.4 for NT
>
> >
> > Troy Noble wrote:
> >
> > > Did you define ORACLE_HOME in your environment?  And is your Oracle
> > > bin directory on your PATH when running in bash?
> > >
> > > I've seen the Dr. Watson type error you are describing when one of
> > > the two above things wasn't set up properly... I can't remember
> > > which.  Sorry.
> > >
> > > So check your PATH and make sure ORACLE_HOME is defined and that might
> > > do it for you.  Can't recall if I had set ORACLE_HOME only in my
.bashrc
> > > or if I also had to put it in my NT environment variables.  From quick
> > > inspection, it looks like I did both.
> > >
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]]
> > > Sent: Tuesday, September 18, 2001 8:01 AM
> > > To: [email-masked]
> > > Subject: Invoking SQL*Plus from within cygwin
> > >
> > >
> > > I have installed the latest and greatest CygWin on an NT 4 sp 6.
Finally
> > > even got cron to work with the help of the NT admins.
> > >
> > > Now I am trying to run Oracle's sqlplus (for NT) from within a Cygwin
> > > terminal window and am receive an error which produces a Dr. Watson
type
> > > dump.  I have attached the dump.
> > >
> > > Am I being a bit naive about running an NT program under Cgywin?  I'd
> > > appreciate someone looking at the dump and giving me any insights on
getting
> > > this to work.  I have shell scripts which help to reduce and automate
a
> > > DBA's workload, but they all log on to a database to perform their
work
> > > using sqlplus.
> >
> >
> >
> >
> > _________________________________________________________
> > Do You Yahoo!?
> > Get your free @yahoo.com address at http://mail.yahoo.com
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/